%global pname		pipelight
%{!?_selinux_policy_version: %global _selinux_policy_version %(sed -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' %{_datadir}/selinux/devel/policyhelp 2>/dev/null)}
%global selinux_types	%(%{__awk} '/^#[[:space:]]*SELINUXTYPE=/,/^[^#]/ { if ($3 == "-") printf "%s ", $2 }' %{_sysconfdir}/selinux/config 2>/dev/null)
%global selinux_variants %([ -z "%{selinux_types}" ] && echo mls targeted || echo %{selinux_types})

Name:			%{pname}-selinux
Version:		0.1.0
Release:		2%{?dist}
Summary:		SELinux-policy-module for %{pname}

License:		MIT
URL:			https://github.com/besser82/%{name}
Source0:		%{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:		noarch

BuildRequires:		%{_bindir}/checkmodule
BuildRequires:		%{_datadir}/selinux/devel/policyhelp
BuildRequires:		%{_sbindir}/hardlink
BuildRequires:		selinux-policy-devel

%{!?rhel:Requires:	%{pname}}
%if "%{_selinux_policy_version}" != ""
Requires:		selinux-policy		>= %{_selinux_policy_version}
%else # "%%{_selinux_policy_version}" != ""
Requires:		selinux-policy
%endif # "%%{_selinux_policy_version}" != ""

Requires(post):		%{_sbindir}/semodule
Requires(postun):	%{_sbindir}/semodule

%description
This package contains the
%{summary}.


%prep
%setup -q


%build
for _selinuxvariant in %{selinux_variants}
do
  %{__make} NAME=${_selinuxvariant} -f %{_datadir}/selinux/devel/Makefile
  %{__mv} %{pname}.pp %{pname}.pp.${_selinuxvariant}
  %{__make} NAME=${_selinuxvariant} -f %{_datadir}/selinux/devel/Makefile clean
done


%install
for _selinuxvariant in %{selinux_variants}
do
  %{__mkdir} -p %{buildroot}%{_datadir}/selinux/${_selinuxvariant}
  %{__install} -pm 644 %{pname}.pp.${_selinuxvariant}			\
	%{buildroot}%{_datadir}/selinux/${_selinuxvariant}/%{pname}.pp
done

%{_sbindir}/hardlink -cv %{buildroot}%{_datadir}/selinux


%post
for _selinuxvariant in %{selinux_variants}
do
  %{_sbindir}/semodule -s ${_selinuxvariant}				\
    -i %{_datadir}/selinux/${_selinuxvariant}/%{pname}.pp &> /dev/null || :
done

%postun
if [ $1 -eq 0 ] ; then
  for _selinuxvariant in %{selinux_variants}
  do
    %{_sbindir}/semodule -s ${_selinuxvariant} -r %{pname} &> /dev/null || :
  done
fi


%files
%doc %{pname}.te README.md
%{_datadir}/selinux/*/%{pname}.pp


%changelog
* Mon Jul 14 2014 Björn Esser <bjoern.esser@gmail.com> - 0.1.0-2
- getting rid of broken dependency on epel7 caused by premature build
- fix macro-in-comment

* Mon Jul 14 2014 Björn Esser <bjoern.esser@gmail.com> - 0.1.0-1
- initial rpm release (#1119288)
